Skip to content

updateProductReview.v1

POST
/shopgate.catalog.updateProductReview.v1

This pipeline is used to edit an existing review.

Media typeapplication/json
object
author
required

Name of the reviewer

string
<= 255 characters
Example
John D.
rate
required
integer format: int32
>= 1 <= 100
Example
100
title
string
<= 255 characters
Example
Awesome product.
review
string
Example
I like it because it is good.

Successful response.

Media typeapplication/json
object
Examplegenerated
{}

Validation error, when review attributes are not valid

Media typeapplication/json
object
error
object
code
string
Allowed values: EINVAL
message
string
Example
{
"error": {
"code": "EINVAL",
"message": "One of review attributes are invalid."
}
}

Unauthorized access. user shuld be logged in to post a review

Media typeapplication/json
object
error
object
code
string
Allowed values: EACCESS
message
string
Example
{
"error": {
"code": "EACCESS",
"message": "User is not logged in."
}
}